/***************************************************************************
 *   Copyright (C) 2009 by Stephen Allewell                                *
 *   stephen@mirramar.fsnet.co.uk                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef __KXSTITCHDRAGOBJECT_H
#define __KXSTITCHDRAGOBJECT_H

#include <qmime.h>
#include <qstrlist.h>
#include <qdragobject.h>

/** Derived from QDragObject to allow drag and drop and cut/copy/paste within and between applications
  */
class KXStitchDragObject : public QDragObject
{
public:
    KXStitchDragObject(QByteArray data, QWidget *source = 0, char *name = 0);

    virtual const char *format(int n = 0) const;
    virtual bool provides(const char *mimeType) const;
    virtual QByteArray encodedData(const char *mimeType) const;

    void setScale(int scale);

private:
    int         m_scale;
    QByteArray  m_data;
    QStrList    m_outputFormats;
};

#endif
